<!--
/*
 *  Copyright 2012 by Texas Instruments Incorporated .
 *  
 */
-->

<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>Linux Utils Application Programming Interface (API): Contiguous Memory Manager</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<table width="100%">
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border="0" src="tilogo.gif" /></a></td>
  <td bgcolor="red"><img src="titagline.gif" /></td>
</tr>
</table>
<!-- Generated by Doxygen 1.7.2 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li id="searchli">
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<h1>Contiguous Memory Manager</h1>  </div>
</div>
<div class="contents">
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters for <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a>.  <a href="struct_c_m_e_m___alloc_params.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga742e77191f1efd05c9a4f3ffa247d7da">CMEM_VERSION</a>&#160;&#160;&#160;0x03000100U</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga187e4e9bf672a30c82a7b70b60542754">CMEM_WB</a>&#160;&#160;&#160;0x00010000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga84a13cfa52f98f56f979096a0b97f44c">CMEM_INV</a>&#160;&#160;&#160;0x00020000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae6df4f615573af4d9c8186384d180d84">CMEM_HEAP</a>&#160;&#160;&#160;0x00040000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga1131d153a198e8a45b480e2694c0aa56">CMEM_POOL</a>&#160;&#160;&#160;0x00000000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga894220a7ad3f4fe58272fa57e5716ff7">CMEM_CACHED</a>&#160;&#160;&#160;0x00080000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga50734833b9ef3a67e48d94d1e4cd1271">CMEM_NONCACHED</a>&#160;&#160;&#160;0x00000000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga9006bc536abeccec35c020f9bea41605">CMEM_PHYS</a>&#160;&#160;&#160;0x00100000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gabd02db44a1dac13174ae356f4c4ce230">CMEM_IOCMAGIC</a>&#160;&#160;&#160;0x0000fe00</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gac1fd168739bd05307ec519d2d254f14a">CMEM_IOCALLOC</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga17cdd5932da87a6ceebd53eeaccfcdf5">CMEM_IOCALLOCHEAP</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga3e5c2aa4938172852878743681f1deec">CMEM_IOCFREE</a>&#160;&#160;&#160;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga9bcdafb23157f060882296536f662620">CMEM_IOCGETPHYS</a>&#160;&#160;&#160;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga10a20aac6f8b10639d9f904004b7b3b7">CMEM_IOCGETSIZE</a>&#160;&#160;&#160;5</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa949ce903361352e2cc69a93b6a1bea1">CMEM_IOCGETPOOL</a>&#160;&#160;&#160;6</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga741576815e673fba2253028be1ed886d">CMEM_IOCCACHE</a>&#160;&#160;&#160;7</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga70664ef0aefedc53dc697baeec46a20d">CMEM_IOCGETVERSION</a>&#160;&#160;&#160;8</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga21a43bb3db137d462e3bff278c574da4">CMEM_IOCGETBLOCK</a>&#160;&#160;&#160;9</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga925be32918be15c2204b0cebe5921dec">CMEM_IOCREGUSER</a>&#160;&#160;&#160;10</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga386afee541b1c310a05855e34766459b">CMEM_IOCGETNUMBLOCKS</a>&#160;&#160;&#160;11</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga6588f2a6e6d151c881574296e1fa7c75">CMEM_IOCCACHEWBINV</a>&#160;&#160;&#160;CMEM_IOCCACHE | CMEM_WB | CMEM_INV</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8cb1794d3f8a650da956dbc827ffa04">CMEM_IOCCACHEWB</a>&#160;&#160;&#160;CMEM_IOCCACHE | CMEM_WB</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae3599cdcb42c124e1ba590eca5c79d56">CMEM_IOCCACHEINV</a>&#160;&#160;&#160;CMEM_IOCCACHE | CMEM_INV</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae46dd092114a9907c62d1af0d0a8282f">CMEM_IOCALLOCCACHED</a>&#160;&#160;&#160;CMEM_IOCALLOC | CMEM_CACHED</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga1f666e24302dd5f9d8489f1ab916aef3">CMEM_IOCALLOCHEAPCACHED</a>&#160;&#160;&#160;CMEM_IOCALLOCHEAP | CMEM_CACHED</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga41ee50820ad343b3b591e0ad38e5764d">CMEM_IOCFREEHEAP</a>&#160;&#160;&#160;CMEM_IOCFREE | CMEM_HEAP</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gad0d90d49e48e01a48490010a583f59f1">CMEM_IOCFREEPHYS</a>&#160;&#160;&#160;CMEM_IOCFREE | CMEM_PHYS</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gad1d6271519a725d94b29f2d096b6d898">CMEM_IOCFREEHEAPPHYS</a>&#160;&#160;&#160;CMEM_IOCFREE | CMEM_HEAP | CMEM_PHYS</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga60adf021b05573125be11ca3af825564">CMEM_IOCCMDMASK</a>&#160;&#160;&#160;0x000000ff</td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf772e1cf0334dca4e2cbb1acb1fa7a74">CMEM_AllocParams</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Parameters for <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a>.  <a href="#gaf772e1cf0334dca4e2cbb1acb1fa7a74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gab599820b841ce7113113c618fb0e8a85">CMEM_BlockAttrs</a></td></tr>
<tr><td colspan="2"><h2><a name="func-members"></a>
Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915">CMEM_init</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the CMEM module. Must be called before other API calls.  <a href="#ga04a13119b1d6100b93b9d3476d42f915"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga61b4561b4f8e9c01a84b2ccd4d4c8531">CMEM_getPool</a> (size_t size)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find the pool that best fits a given buffer size and has a buffer available.  <a href="#ga61b4561b4f8e9c01a84b2ccd4d4c8531"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga7923345b21ea4baf38f3b4a4c6a8ecf7">CMEM_getPool2</a> (int blockid, size_t size)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find the pool in memory block blockid that best fits a given buffer size and has a buffer available.  <a href="#ga7923345b21ea4baf38f3b4a4c6a8ecf7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877">CMEM_allocPool</a> (int poolid, <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate memory from a specified pool.  <a href="#ga8def9ca65d0e48320525a12326686877"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468">CMEM_allocPool2</a> (int blockid, int poolid, <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate memory from a specified pool in a specified memory block.  <a href="#ga209562d2562a6a6f3ddcce162f835468"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a">CMEM_alloc</a> (size_t size, <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate memory of a specified size.  <a href="#gaa8f06de969151e59379f7491b7c58b4a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831">CMEM_alloc2</a> (int blockid, size_t size, <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate memory of a specified size from a specified memory block.  <a href="#gaa246effe37bc6dafa7146c443c83e831"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795">CMEM_registerAlloc</a> (unsigned long physp)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register shared usage of an already-allocated buffer.  <a href="#gaa0c312335d5fdc0457094e98a80a5795"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158">CMEM_free</a> (void *ptr, <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Free a buffer previously allocated with <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>/CMEM_allocPool().  <a href="#gae39f01bac7c437e9738090bef4aed158"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a">CMEM_unregister</a> (void *ptr, <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *params)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unregister use of a buffer previously registered with <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a>.  <a href="#gadccb25f3cfcb630015f946fdfa481c8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gad568ae7a470d1465164a26d304b6c9a0">CMEM_getPhys</a> (void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the physical address of a contiguous buffer.  <a href="#gad568ae7a470d1465164a26d304b6c9a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaeef3fdc1bf833b34017c975a477dc278">CMEM_cacheWb</a> (void *ptr, size_t size)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Do a cache writeback of the block pointed to by <code>ptr/<code>size</code>.</code>  <a href="#gaeef3fdc1bf833b34017c975a477dc278"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf1a3b3217f091db1d05aa4c1a2cf596a">CMEM_cacheInv</a> (void *ptr, size_t size)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Do a cache invalidate of the block pointed to by <code>ptr/<code>size</code>.</code>  <a href="#gaf1a3b3217f091db1d05aa4c1a2cf596a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga749afac6dc4077f4c7f947593497929e">CMEM_cacheWbInv</a> (void *ptr, size_t size)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Do a cache writeback/invalidate of the block pointed to by <code>ptr/<code>size</code>.</code>  <a href="#ga749afac6dc4077f4c7f947593497929e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae4c4df4bae7464ffddd3f21b0815c10e">CMEM_getVersion</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve version from CMEM driver.  <a href="#gae4c4df4bae7464ffddd3f21b0815c10e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaabdb4e2d51ff8c42e1aa8a05244555b6">CMEM_getBlock</a> (unsigned long *pphys_base, size_t *psize)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve memory block bounds from CMEM driver.  <a href="#gaabdb4e2d51ff8c42e1aa8a05244555b6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf5bfc403676da91ecf44242d525afd8b">CMEM_getBlockAttrs</a> (int blockid, <a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a> *pattrs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve extended memory block attributes from CMEM driver.  <a href="#gaf5bfc403676da91ecf44242d525afd8b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga5604844605a5e32dd4f242798b30dc09">CMEM_getNumBlocks</a> (int *pnblocks)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve number of blocks configured into CMEM driver.  <a href="#ga5604844605a5e32dd4f242798b30dc09"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga98363a0c4114e0227fbc1763203177b9">CMEM_exit</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Finalize the CMEM module.  <a href="#ga98363a0c4114e0227fbc1763203177b9"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="var-members"></a>
Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga02f27b513787b9581ebd67ff62827904">CMEM_DEFAULTPARAMS</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>This is the API for the Contiguous Memory Manager. </p>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ga742e77191f1efd05c9a4f3ffa247d7da"></a><!-- doxytag: member="cmem.h::CMEM_VERSION" ref="ga742e77191f1efd05c9a4f3ffa247d7da" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_VERSION&#160;&#160;&#160;0x03000100U</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga187e4e9bf672a30c82a7b70b60542754"></a><!-- doxytag: member="cmem.h::CMEM_WB" ref="ga187e4e9bf672a30c82a7b70b60542754" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_WB&#160;&#160;&#160;0x00010000</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga84a13cfa52f98f56f979096a0b97f44c"></a><!-- doxytag: member="cmem.h::CMEM_INV" ref="ga84a13cfa52f98f56f979096a0b97f44c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_INV&#160;&#160;&#160;0x00020000</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gae6df4f615573af4d9c8186384d180d84"></a><!-- doxytag: member="cmem.h::CMEM_HEAP" ref="gae6df4f615573af4d9c8186384d180d84" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_HEAP&#160;&#160;&#160;0x00040000</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>operation applies to heap </p>

</div>
</div>
<a class="anchor" id="ga1131d153a198e8a45b480e2694c0aa56"></a><!-- doxytag: member="cmem.h::CMEM_POOL" ref="ga1131d153a198e8a45b480e2694c0aa56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_POOL&#160;&#160;&#160;0x00000000</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>operation applies to a pool </p>

</div>
</div>
<a class="anchor" id="ga894220a7ad3f4fe58272fa57e5716ff7"></a><!-- doxytag: member="cmem.h::CMEM_CACHED" ref="ga894220a7ad3f4fe58272fa57e5716ff7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_CACHED&#160;&#160;&#160;0x00080000</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>allocated buffer is cached </p>

</div>
</div>
<a class="anchor" id="ga50734833b9ef3a67e48d94d1e4cd1271"></a><!-- doxytag: member="cmem.h::CMEM_NONCACHED" ref="ga50734833b9ef3a67e48d94d1e4cd1271" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_NONCACHED&#160;&#160;&#160;0x00000000</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>allocated buffer is not cached </p>

</div>
</div>
<a class="anchor" id="ga9006bc536abeccec35c020f9bea41605"></a><!-- doxytag: member="cmem.h::CMEM_PHYS" ref="ga9006bc536abeccec35c020f9bea41605" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_PHYS&#160;&#160;&#160;0x00100000</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gabd02db44a1dac13174ae356f4c4ce230"></a><!-- doxytag: member="cmem.h::CMEM_IOCMAGIC" ref="gabd02db44a1dac13174ae356f4c4ce230" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCMAGIC&#160;&#160;&#160;0x0000fe00</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gac1fd168739bd05307ec519d2d254f14a"></a><!-- doxytag: member="cmem.h::CMEM_IOCALLOC" ref="gac1fd168739bd05307ec519d2d254f14a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCALLOC&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga17cdd5932da87a6ceebd53eeaccfcdf5"></a><!-- doxytag: member="cmem.h::CMEM_IOCALLOCHEAP" ref="ga17cdd5932da87a6ceebd53eeaccfcdf5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCALLOCHEAP&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga3e5c2aa4938172852878743681f1deec"></a><!-- doxytag: member="cmem.h::CMEM_IOCFREE" ref="ga3e5c2aa4938172852878743681f1deec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCFREE&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga9bcdafb23157f060882296536f662620"></a><!-- doxytag: member="cmem.h::CMEM_IOCGETPHYS" ref="ga9bcdafb23157f060882296536f662620" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCGETPHYS&#160;&#160;&#160;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga10a20aac6f8b10639d9f904004b7b3b7"></a><!-- doxytag: member="cmem.h::CMEM_IOCGETSIZE" ref="ga10a20aac6f8b10639d9f904004b7b3b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCGETSIZE&#160;&#160;&#160;5</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gaa949ce903361352e2cc69a93b6a1bea1"></a><!-- doxytag: member="cmem.h::CMEM_IOCGETPOOL" ref="gaa949ce903361352e2cc69a93b6a1bea1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCGETPOOL&#160;&#160;&#160;6</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga741576815e673fba2253028be1ed886d"></a><!-- doxytag: member="cmem.h::CMEM_IOCCACHE" ref="ga741576815e673fba2253028be1ed886d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCCACHE&#160;&#160;&#160;7</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga70664ef0aefedc53dc697baeec46a20d"></a><!-- doxytag: member="cmem.h::CMEM_IOCGETVERSION" ref="ga70664ef0aefedc53dc697baeec46a20d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCGETVERSION&#160;&#160;&#160;8</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga21a43bb3db137d462e3bff278c574da4"></a><!-- doxytag: member="cmem.h::CMEM_IOCGETBLOCK" ref="ga21a43bb3db137d462e3bff278c574da4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCGETBLOCK&#160;&#160;&#160;9</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga925be32918be15c2204b0cebe5921dec"></a><!-- doxytag: member="cmem.h::CMEM_IOCREGUSER" ref="ga925be32918be15c2204b0cebe5921dec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCREGUSER&#160;&#160;&#160;10</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga386afee541b1c310a05855e34766459b"></a><!-- doxytag: member="cmem.h::CMEM_IOCGETNUMBLOCKS" ref="ga386afee541b1c310a05855e34766459b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCGETNUMBLOCKS&#160;&#160;&#160;11</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga6588f2a6e6d151c881574296e1fa7c75"></a><!-- doxytag: member="cmem.h::CMEM_IOCCACHEWBINV" ref="ga6588f2a6e6d151c881574296e1fa7c75" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCCACHEWBINV&#160;&#160;&#160;CMEM_IOCCACHE | CMEM_WB | CMEM_INV</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gaa8cb1794d3f8a650da956dbc827ffa04"></a><!-- doxytag: member="cmem.h::CMEM_IOCCACHEWB" ref="gaa8cb1794d3f8a650da956dbc827ffa04" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCCACHEWB&#160;&#160;&#160;CMEM_IOCCACHE | CMEM_WB</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gae3599cdcb42c124e1ba590eca5c79d56"></a><!-- doxytag: member="cmem.h::CMEM_IOCCACHEINV" ref="gae3599cdcb42c124e1ba590eca5c79d56" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCCACHEINV&#160;&#160;&#160;CMEM_IOCCACHE | CMEM_INV</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gae46dd092114a9907c62d1af0d0a8282f"></a><!-- doxytag: member="cmem.h::CMEM_IOCALLOCCACHED" ref="gae46dd092114a9907c62d1af0d0a8282f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCALLOCCACHED&#160;&#160;&#160;CMEM_IOCALLOC | CMEM_CACHED</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga1f666e24302dd5f9d8489f1ab916aef3"></a><!-- doxytag: member="cmem.h::CMEM_IOCALLOCHEAPCACHED" ref="ga1f666e24302dd5f9d8489f1ab916aef3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCALLOCHEAPCACHED&#160;&#160;&#160;CMEM_IOCALLOCHEAP | CMEM_CACHED</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga41ee50820ad343b3b591e0ad38e5764d"></a><!-- doxytag: member="cmem.h::CMEM_IOCFREEHEAP" ref="ga41ee50820ad343b3b591e0ad38e5764d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCFREEHEAP&#160;&#160;&#160;CMEM_IOCFREE | CMEM_HEAP</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gad0d90d49e48e01a48490010a583f59f1"></a><!-- doxytag: member="cmem.h::CMEM_IOCFREEPHYS" ref="gad0d90d49e48e01a48490010a583f59f1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCFREEPHYS&#160;&#160;&#160;CMEM_IOCFREE | CMEM_PHYS</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="gad1d6271519a725d94b29f2d096b6d898"></a><!-- doxytag: member="cmem.h::CMEM_IOCFREEHEAPPHYS" ref="gad1d6271519a725d94b29f2d096b6d898" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCFREEHEAPPHYS&#160;&#160;&#160;CMEM_IOCFREE | CMEM_HEAP | CMEM_PHYS</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga60adf021b05573125be11ca3af825564"></a><!-- doxytag: member="cmem.h::CMEM_IOCCMDMASK" ref="ga60adf021b05573125be11ca3af825564" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define CMEM_IOCCMDMASK&#160;&#160;&#160;0x000000ff</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="gaf772e1cf0334dca4e2cbb1acb1fa7a74"></a><!-- doxytag: member="cmem.h::CMEM_AllocParams" ref="gaf772e1cf0334dca4e2cbb1acb1fa7a74" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a>  <a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Parameters for <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a>, <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a>. </p>

</div>
</div>
<a class="anchor" id="gab599820b841ce7113113c618fb0e8a85"></a><!-- doxytag: member="cmem.h::CMEM_BlockAttrs" ref="gab599820b841ce7113113c618fb0e8a85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a>  <a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga04a13119b1d6100b93b9d3476d42f915"></a><!-- doxytag: member="cmem.h::CMEM_init" ref="ga04a13119b1d6100b93b9d3476d42f915" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_init </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialize the CMEM module. Must be called before other API calls. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0 for success or -1 for failure.</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga98363a0c4114e0227fbc1763203177b9" title="Finalize the CMEM module.">CMEM_exit</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga61b4561b4f8e9c01a84b2ccd4d4c8531"></a><!-- doxytag: member="cmem.h::CMEM_getPool" ref="ga61b4561b4f8e9c01a84b2ccd4d4c8531" args="(size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_getPool </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find the pool that best fits a given buffer size and has a buffer available. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>The buffer size for which a pool is needed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A poolid that can be passed to <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a>, or -1 for error.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga7923345b21ea4baf38f3b4a4c6a8ecf7" title="Find the pool in memory block blockid that best fits a given buffer size and has a buffer available...">CMEM_getPool2()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga7923345b21ea4baf38f3b4a4c6a8ecf7"></a><!-- doxytag: member="cmem.h::CMEM_getPool2" ref="ga7923345b21ea4baf38f3b4a4c6a8ecf7" args="(int blockid, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_getPool2 </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> <em>blockid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find the pool in memory block blockid that best fits a given buffer size and has a buffer available. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">blockid</td><td>Block number </td></tr>
    <tr><td class="paramname">size</td><td>The buffer size for which a pool is needed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A poolid that can be passed to <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a>, or -1 for error.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga61b4561b4f8e9c01a84b2ccd4d4c8531" title="Find the pool that best fits a given buffer size and has a buffer available.">CMEM_getPool()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga8def9ca65d0e48320525a12326686877"></a><!-- doxytag: member="cmem.h::CMEM_allocPool" ref="ga8def9ca65d0e48320525a12326686877" args="(int poolid, CMEM_AllocParams *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* CMEM_allocPool </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> <em>poolid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *&#160;</td>
          <td class="paramname"> <em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allocate memory from a specified pool. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">poolid</td><td>The pool from which to allocate memory. </td></tr>
    <tr><td class="paramname">params</td><td>Allocation parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><code>params-&gt;type</code> is ignored - a pool will always be used. </dd>
<dd>
<code>params-&gt;alignment</code> is unused, since pool buffers are already aligned to specific boundaries.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the allocated buffer, or NULL for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a" title="Unregister use of a buffer previously registered with CMEM_registerAlloc().">CMEM_unregister()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga209562d2562a6a6f3ddcce162f835468"></a><!-- doxytag: member="cmem.h::CMEM_allocPool2" ref="ga209562d2562a6a6f3ddcce162f835468" args="(int blockid, int poolid, CMEM_AllocParams *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* CMEM_allocPool2 </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> <em>blockid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> <em>poolid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *&#160;</td>
          <td class="paramname"> <em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allocate memory from a specified pool in a specified memory block. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">blockid</td><td>The memory block from which to allocate. </td></tr>
    <tr><td class="paramname">poolid</td><td>The pool from which to allocate memory. </td></tr>
    <tr><td class="paramname">params</td><td>Allocation parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><code>params-&gt;type</code> is ignored - a pool will always be used. </dd>
<dd>
<code>params-&gt;alignment</code> is unused, since pool buffers are already aligned to specific boundaries.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the allocated buffer, or NULL for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a" title="Unregister use of a buffer previously registered with CMEM_registerAlloc().">CMEM_unregister()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa8f06de969151e59379f7491b7c58b4a"></a><!-- doxytag: member="cmem.h::CMEM_alloc" ref="gaa8f06de969151e59379f7491b7c58b4a" args="(size_t size, CMEM_AllocParams *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* CMEM_alloc </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *&#160;</td>
          <td class="paramname"> <em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allocate memory of a specified size. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>The size of the buffer to allocate. </td></tr>
    <tr><td class="paramname">params</td><td>Allocation parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Used to allocate memory from either a pool or the heap. If doing a pool allocation, the pool that best fits the requested size will be selected. Use <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> to allocate from a specific pool. Allocation will be cached or noncached, as specified by params. params-&gt;alignment valid only for heap allocation.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the allocated buffer, or NULL for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a" title="Unregister use of a buffer previously registered with CMEM_registerAlloc().">CMEM_unregister()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa246effe37bc6dafa7146c443c83e831"></a><!-- doxytag: member="cmem.h::CMEM_alloc2" ref="gaa246effe37bc6dafa7146c443c83e831" args="(int blockid, size_t size, CMEM_AllocParams *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* CMEM_alloc2 </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> <em>blockid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *&#160;</td>
          <td class="paramname"> <em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Allocate memory of a specified size from a specified memory block. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">blockid</td><td>The memory block from which to allocate. </td></tr>
    <tr><td class="paramname">size</td><td>The size of the buffer to allocate. </td></tr>
    <tr><td class="paramname">params</td><td>Allocation parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Used to allocate memory from either a pool or the heap. If doing a pool allocation, the pool that best fits the requested size will be selected. Use <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> to allocate from a specific pool.</dd>
<dd>
Allocation will be cached or noncached, as specified by params. params-&gt;alignment valid only for heap allocation.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A pointer to the allocated buffer, or NULL for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a" title="Unregister use of a buffer previously registered with CMEM_registerAlloc().">CMEM_unregister()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaa0c312335d5fdc0457094e98a80a5795"></a><!-- doxytag: member="cmem.h::CMEM_registerAlloc" ref="gaa0c312335d5fdc0457094e98a80a5795" args="(unsigned long physp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* CMEM_registerAlloc </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"> <em>physp</em>&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register shared usage of an already-allocated buffer. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">physp</td><td>Physical address of the already-allocated buffer.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Used to register the calling process for usage of an already-allocated buffer, for the purpose of shared usage of the buffer.</dd>
<dd>
Allocation properties (such as cached/noncached or heap/pool) are inherited from original allocation call.</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>A process-specific pointer to the allocated buffer, or NULL for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called some form of CMEM_alloc*()</dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a" title="Unregister use of a buffer previously registered with CMEM_registerAlloc().">CMEM_unregister()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gae39f01bac7c437e9738090bef4aed158"></a><!-- doxytag: member="cmem.h::CMEM_free" ref="gae39f01bac7c437e9738090bef4aed158" args="(void *ptr, CMEM_AllocParams *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_free </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *&#160;</td>
          <td class="paramname"> <em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Free a buffer previously allocated with <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a>/CMEM_allocPool(). </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>The pointer to the buffer. </td></tr>
    <tr><td class="paramname">params</td><td>Allocation parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Use the same <a class="el" href="struct_c_m_e_m___alloc_params.html" title="Parameters for CMEM_alloc(), CMEM_alloc2(), CMEM_allocPool(), CMEM_allocPool2(), CMEM_free().">CMEM_AllocParams</a> as was used for the allocation. params-&gt;flags is "don't care". params-&gt;alignment is "don't
          care".</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>0 for success or -1 for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gadccb25f3cfcb630015f946fdfa481c8a" title="Unregister use of a buffer previously registered with CMEM_registerAlloc().">CMEM_unregister()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gadccb25f3cfcb630015f946fdfa481c8a"></a><!-- doxytag: member="cmem.h::CMEM_unregister" ref="gadccb25f3cfcb630015f946fdfa481c8a" args="(void *ptr, CMEM_AllocParams *params)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_unregister </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> *&#160;</td>
          <td class="paramname"> <em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unregister use of a buffer previously registered with <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a>. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>The pointer to the buffer. </td></tr>
    <tr><td class="paramname">params</td><td>Allocation parameters.</td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Use the same <a class="el" href="struct_c_m_e_m___alloc_params.html" title="Parameters for CMEM_alloc(), CMEM_alloc2(), CMEM_allocPool(), CMEM_allocPool2(), CMEM_free().">CMEM_AllocParams</a> as was used for the allocation. params-&gt;flags is "don't care". params-&gt;alignment is "don't
          care".</dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>0 for success or -1 for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa8f06de969151e59379f7491b7c58b4a" title="Allocate memory of a specified size.">CMEM_alloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa246effe37bc6dafa7146c443c83e831" title="Allocate memory of a specified size from a specified memory block.">CMEM_alloc2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga8def9ca65d0e48320525a12326686877" title="Allocate memory from a specified pool.">CMEM_allocPool()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga209562d2562a6a6f3ddcce162f835468" title="Allocate memory from a specified pool in a specified memory block.">CMEM_allocPool2()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaa0c312335d5fdc0457094e98a80a5795" title="Register shared usage of an already-allocated buffer.">CMEM_registerAlloc()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gae39f01bac7c437e9738090bef4aed158" title="Free a buffer previously allocated with CMEM_alloc()/CMEM_allocPool().">CMEM_free()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gad568ae7a470d1465164a26d304b6c9a0"></a><!-- doxytag: member="cmem.h::CMEM_getPhys" ref="gad568ae7a470d1465164a26d304b6c9a0" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long CMEM_getPhys </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>ptr</em>&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the physical address of a contiguous buffer. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>The pointer to the buffer.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>The physical address of the buffer or 0 for failure.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaeef3fdc1bf833b34017c975a477dc278"></a><!-- doxytag: member="cmem.h::CMEM_cacheWb" ref="gaeef3fdc1bf833b34017c975a477dc278" args="(void *ptr, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_cacheWb </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Do a cache writeback of the block pointed to by <code>ptr/<code>size</code>.</code> </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Pointer to block to writeback </td></tr>
    <tr><td class="paramname">size</td><td>Size in bytes of block to writeback.</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Success/failure boolean value</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf1a3b3217f091db1d05aa4c1a2cf596a" title="Do a cache invalidate of the block pointed to by ptr/size. ">CMEM_cacheInv()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga749afac6dc4077f4c7f947593497929e" title="Do a cache writeback/invalidate of the block pointed to by ptr/size. ">CMEM_cacheWbInv()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaf1a3b3217f091db1d05aa4c1a2cf596a"></a><!-- doxytag: member="cmem.h::CMEM_cacheInv" ref="gaf1a3b3217f091db1d05aa4c1a2cf596a" args="(void *ptr, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_cacheInv </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Do a cache invalidate of the block pointed to by <code>ptr/<code>size</code>.</code> </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Pointer to block to invalidate </td></tr>
    <tr><td class="paramname">size</td><td>Size in bytes of block to invalidate</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Success/failure boolean value</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaeef3fdc1bf833b34017c975a477dc278" title="Do a cache writeback of the block pointed to by ptr/size. ">CMEM_cacheWb()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga749afac6dc4077f4c7f947593497929e" title="Do a cache writeback/invalidate of the block pointed to by ptr/size. ">CMEM_cacheWbInv()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga749afac6dc4077f4c7f947593497929e"></a><!-- doxytag: member="cmem.h::CMEM_cacheWbInv" ref="ga749afac6dc4077f4c7f947593497929e" args="(void *ptr, size_t size)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_cacheWbInv </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"> <em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"> <em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Do a cache writeback/invalidate of the block pointed to by <code>ptr/<code>size</code>.</code> </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">ptr</td><td>Pointer to block to writeback/invalidate </td></tr>
    <tr><td class="paramname">size</td><td>Size in bytes of block to writeback/invalidate</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Success/failure boolean value</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf1a3b3217f091db1d05aa4c1a2cf596a" title="Do a cache invalidate of the block pointed to by ptr/size. ">CMEM_cacheInv()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaeef3fdc1bf833b34017c975a477dc278" title="Do a cache writeback of the block pointed to by ptr/size. ">CMEM_cacheWb()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gae4c4df4bae7464ffddd3f21b0815c10e"></a><!-- doxytag: member="cmem.h::CMEM_getVersion" ref="gae4c4df4bae7464ffddd3f21b0815c10e" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_getVersion </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve version from CMEM driver. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>Installed CMEM driver's version number.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaabdb4e2d51ff8c42e1aa8a05244555b6"></a><!-- doxytag: member="cmem.h::CMEM_getBlock" ref="gaabdb4e2d51ff8c42e1aa8a05244555b6" args="(unsigned long *pphys_base, size_t *psize)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_getBlock </td>
          <td>(</td>
          <td class="paramtype">unsigned long *&#160;</td>
          <td class="paramname"> <em>pphys_base</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t *&#160;</td>
          <td class="paramname"> <em>psize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve memory block bounds from CMEM driver. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pphys_base</td><td>Pointer to storage for base physical address of CMEM's memory block </td></tr>
    <tr><td class="paramname">psize</td><td>Pointer to storage for size of CMEM's memory block</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Success (0) or failure (-1).</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf5bfc403676da91ecf44242d525afd8b" title="Retrieve extended memory block attributes from CMEM driver.">CMEM_getBlockAttrs()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga5604844605a5e32dd4f242798b30dc09" title="Retrieve number of blocks configured into CMEM driver.">CMEM_getNumBlocks()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gaf5bfc403676da91ecf44242d525afd8b"></a><!-- doxytag: member="cmem.h::CMEM_getBlockAttrs" ref="gaf5bfc403676da91ecf44242d525afd8b" args="(int blockid, CMEM_BlockAttrs *pattrs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_getBlockAttrs </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"> <em>blockid</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a> *&#160;</td>
          <td class="paramname"> <em>pattrs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve extended memory block attributes from CMEM driver. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">blockid</td><td>Block number </td></tr>
    <tr><td class="paramname">pattrs</td><td>Pointer to <a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a> struct</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Success (0) or failure (-1).</dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Currently this API returns the same values as <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaabdb4e2d51ff8c42e1aa8a05244555b6" title="Retrieve memory block bounds from CMEM driver.">CMEM_getBlock()</a>.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaabdb4e2d51ff8c42e1aa8a05244555b6" title="Retrieve memory block bounds from CMEM driver.">CMEM_getBlock()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga5604844605a5e32dd4f242798b30dc09" title="Retrieve number of blocks configured into CMEM driver.">CMEM_getNumBlocks()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga5604844605a5e32dd4f242798b30dc09"></a><!-- doxytag: member="cmem.h::CMEM_getNumBlocks" ref="ga5604844605a5e32dd4f242798b30dc09" args="(int *pnblocks)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_getNumBlocks </td>
          <td>(</td>
          <td class="paramtype">int *&#160;</td>
          <td class="paramname"> <em>pnblocks</em>&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Retrieve number of blocks configured into CMEM driver. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pnblocks</td><td>Pointer to storage for holding number of blocks </td></tr>
    <tr><td class="paramname">pattrs</td><td>Pointer to <a class="el" href="struct_c_m_e_m___block_attrs.html">CMEM_BlockAttrs</a> struct</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>Success (0) or failure (-1).</dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Blocks are configured into CMEM through the Linux 'insmod' command.</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaabdb4e2d51ff8c42e1aa8a05244555b6" title="Retrieve memory block bounds from CMEM driver.">CMEM_getBlock()</a> </dd>
<dd>
<a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#gaf5bfc403676da91ecf44242d525afd8b" title="Retrieve extended memory block attributes from CMEM driver.">CMEM_getBlockAttrs()</a> </dd></dl>

</div>
</div>
<a class="anchor" id="ga98363a0c4114e0227fbc1763203177b9"></a><!-- doxytag: member="cmem.h::CMEM_exit" ref="ga98363a0c4114e0227fbc1763203177b9" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CMEM_exit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname">&#160;)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Finalize the CMEM module. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>0 for success or -1 for failure.</dd></dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>After this function has been called, no other CMEM function may be called (unless CMEM is reinitialized).</dd></dl>
<dl class="pre"><dt><b>Precondition:</b></dt><dd>Must have called <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a></dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga04a13119b1d6100b93b9d3476d42f915" title="Initialize the CMEM module. Must be called before other API calls.">CMEM_init()</a> </dd></dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="ga02f27b513787b9581ebd67ff62827904"></a><!-- doxytag: member="cmem.h::CMEM_DEFAULTPARAMS" ref="ga02f27b513787b9581ebd67ff62827904" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_c_m_e_m___alloc_params.html">CMEM_AllocParams</a> <a class="el" href="group__ti__sdo__linuxutils__cmem___c_m_e_m.html#ga02f27b513787b9581ebd67ff62827904">CMEM_DEFAULTPARAMS</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1" /><small>
Copyright  2012, Texas Instruments Incorporated</small>
</body>
</html>
<!--
/*
 * @(#) linuxutils_3_23_00_01; 1, 0, 0,1; 5-30-2012 11:51:36; /db/atree/library/trees/linuxutils/linuxutils-l01/src/ xlibrary

 */
-->

